OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.BlendFuncSeparate

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTBlendFuncSeparate :: MonadIO m => m Bool
- gl_EXT_blend_func_separate :: Bool
- pattern GL_BLEND_DST_ALPHA_EXT :: GLenum
- pattern GL_BLEND_DST_RGB_EXT :: GLenum
- pattern GL_BLEND_SRC_ALPHA_EXT :: GLenum
- pattern GL_BLEND_SRC_RGB_EXT :: GLenum
- glBlendFuncSeparateEXT :: MonadIO m => GLenum -> GLenum -> GLenum -> GLenum -> m ()

# Extension Support

glGetEXTBlendFuncSeparate :: MonadIO m => m Bool Source #

Is the EXT_blend_func_separate extension supported?

gl_EXT_blend_func_separate :: Bool Source #

Is the EXT_blend_func_separate extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTBlendFuncSeparate` in those cases instead.

# Enums

pattern GL_BLEND_DST_ALPHA_EXT :: GLenum Source #

pattern GL_BLEND_DST_RGB_EXT :: GLenum Source #

pattern GL_BLEND_SRC_ALPHA_EXT :: GLenum Source #

pattern GL_BLEND_SRC_RGB_EXT :: GLenum Source #

# Functions

glBlendFuncSeparateEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `sfactorRGB` of type BlendingFactor.
-> GLenum | `dfactorRGB` of type BlendingFactor.
-> GLenum | `sfactorAlpha` of type BlendingFactor.
-> GLenum | `dfactorAlpha` of type BlendingFactor.
-> m () |

This command is an alias for `glBlendFuncSeparate`.